Subject: [Mgs] horn replacement (Lucas, but not MG)

From: Aaron Whiteman via Mgs <[email-masked]>
Date: Sat, 10 Sep 2016 10:03:32 -0700

In classic cart before the horse fashion, I’ve ordered a set of Lucas Horns (GGE164/GGE165) to upgrade the horns in my Mazda. Obviously, such an application will be frowned upon in the Miata community, but I really don’t care. I liked the sound of Lucas horns in my MG and the stock MX-5 horn (at least for 1999) is garbage.

Now that I’ve already ordered them and am already committed, it seems the "right" time to ask: does anybody have any experience with new Lucas branded horns and if so, how do they sound?

-- 
Aaron
_______________________________________________

[email-masked]
Donate: http://www.team.net/donate.html
Suggested annual donation  $12.75
Archive: http://www.team.net/archive
Forums: http://www.team.net/forums
Unsubscribe: http://autox.team.net/mailman/options/mgs/[email-masked]